{% extends "djangocms_blog/base.html" %}
{% load i18n easy_thumbnails_tags cms_tags menu_tags %}

{% block canonical_url %}<link rel="canonical" href="{{ meta.url }}"/>{% endblock canonical_url %}
{% block title %}{{ post.get_title }} - {{request.site.name}}{% endblock %}

{% block content_blog %}
<div class="container">
    <div class="row">
        <!-- Post Content Column -->
        <div class="col-md">
            <!-- Title -->
            <h1 class="display-4">{% render_model post "title" %}</h1>
            {% if post.subtitle %}<h3 class="mute">{% render_model post "subtitle" %}</h3>{% endif %}

            <!-- Author -->
            {% if post.author %}
                {% include "djangocms_blog/includes/blog_meta.html" %}
            {% endif %}

            <hr>

            <div class="card">
            {% if post.main_image_id %}
                {% thumbnail post.main_image post.full_image_options.size crop=post.full_image_options.crop upscale=post.full_image_options.upscale subject_location=post.main_image.subject_location  as thumb %}
                <img class="card-img-top" src="{{ post.main_image.url }}" alt="{{ post.main_image.default_alt_text }}" width="{{ thumb.width }}" height="{{ thumb.height }}" />
            {% endif %}
            {% if post.app_config.use_placeholder %}
                <div class="card-body">
                    {% render_placeholder post.content %}
                </div>
            {% else %}
                <div class="card-body">
                    {% render_model post "post_text" "post_text" "" "safe" %}
                </div>
            {% endif %}
            {% if view.liveblog_enabled %}
                {% include "liveblog/includes/post_detail.html" %}
            {% endif %}
        </div>
        {% if post.related.exists %}
        <div class="row my-3">
        {% for related in post.related.all %}
            {% include "djangocms_blog/includes/blog_item.html" with post=related image="true" TRUNCWORDS_COUNT=TRUNCWORDS_COUNT %}
        {% endfor %}
        </div>
        {% endif %}
        </div>
    </div>
    <!-- /.row -->
</div>
<!-- /.container -->
{% endblock content_blog %}